### Method

# Gtk TreeViewColumnset_sort_column_id

deprecated: 4.10

#### Declaration [src]

    void
    gtk_tree_view_column_set_sort_column_id (
      GtkTreeViewColumn* tree_column,
      int sort_column_id
    )

#### Description [src]

Sets the logical `sort_column_id` that this column sorts on when this column is selected for sorting. Doing so makes the column header clickable.

Deprecated since: 4.10

Use GtkColumnView instead.

Sets property | `Gtk.TreeViewColumn:sort-column-id`

#### Parameters

`sort_column_id`

  Type: `int`

  The `sort_column_id` of the model to sort on.